Bug 1854306 - Migration from sdn to ovn failed
Summary: Migration from sdn to ovn failed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Peng Liu
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1874696 1878905
Blocks: 1873955
TreeView+ depends on / blocked
 
Reported: 2020-07-07 07:15 UTC by huirwang
Modified: 2020-10-27 16:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:12:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 793 0 None closed Bug 1854306: Run ovn in shared gw mode when configure-ovs.sh run with parameter OVNKubernetes 2020-12-16 05:38:21 UTC
Github openshift cluster-network-operator pull 803 0 None closed Bug 1854306: Set a 30s timeout for kubectl command in ovnkube-node 2020-12-16 05:38:21 UTC
Github openshift machine-config-operator pull 2066 0 None closed Bug 1854306: Initialize host ovs differently for Openshift-SDN and Ovn-kubernetes by ovs-configuration.service 2020-12-16 05:38:21 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:12:46 UTC

Comment 5 Peng Liu 2020-07-20 12:39:32 UTC
I tested with a pure OVN cluster which is not migrated from openshift-sdn. I can see similar symptoms. Rebooting all nodes at the same time made the ovn-kubernetes pods not working. So I think it is a problem of the ovn-kubernetes itself, not the migration.

Comment 6 Peng Liu 2020-07-20 13:39:21 UTC
It might be releated to https://bugzilla.redhat.com/show_bug.cgi?id=1858712

Comment 13 Ben Bennett 2020-09-21 13:56:17 UTC
@pliu can you update the status of this please?  Are there any other PRs needed other than the two now linked?  I know you have a hold on one waiting for another PR to merge (https://github.com/openshift/machine-config-operator/pull/2085)

Comment 22 errata-xmlrpc 2020-10-27 16:12:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.